> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ITSM Project by ID

> Retrieve a single ITSM project by its Leen ID.



## OpenAPI

````yaml get /itsm/projects/{project_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /itsm/projects/{project_id}:
    get:
      tags:
        - ITSM
        - Projects
      summary: Get ITSM Project by ID
      description: Retrieve a single ITSM project by its Leen ID.
      operationId: get_project_by_id
      parameters:
        - in: path
          name: project_id
          required: true
          schema:
            format: uuid
            title: Project Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScopedITSMProjectRespModel'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    ScopedITSMProjectRespModel:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          description: Category of the Project
          title: Category
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Description of the Project
          title: Description
        id:
          description: Leen's UUID for the Project
          format: uuid
          title: Id
          type: string
        name:
          description: Name of the Project
          title: Name
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
          description: Type of the Project
          title: Type
        url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL of the Project
          title: Url
        vendor_attributes:
          $ref: '#/components/schemas/ITSMProjectVendorAttributes'
          description: Vendor-specific attributes of the Project
      required:
        - id
        - name
        - vendor_attributes
      title: ITSM Project
      type: object
    ErrorResponse:
      properties:
        code:
          description: Error code
          title: Code
          type: string
        detail:
          description: List of error dictionaries
          items:
            additionalProperties: true
            type: object
          title: Detail
          type: array
        message:
          description: Error message
          title: Message
          type: string
        type:
          description: Type of error
          title: Type
          type: string
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
      type: object
    ITSMProjectVendorAttributes:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Creation time of the Project in Vendor
          title: Created At
        data:
          anyOf:
            - discriminator:
                mapping:
                  JIRA: '#/components/schemas/JiraProjectVendorAttributesData'
                propertyName: vendor
              oneOf:
                - $ref: '#/components/schemas/JiraProjectVendorAttributesData'
            - type: 'null'
          description: Vendor-specific data associated with the Project
          title: Data
        id:
          description: Vendor's ID for the Project
          title: Id
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Last update time of the Project in Vendor
          title: Updated At
        vendor:
          description: Vendor name
          title: Vendor
          type: string
      required:
        - id
        - vendor
      title: ITSM Project Vendor Attributes
      type: object
    JiraProjectVendorAttributesData:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        isPrivate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isprivate
        issueTypes:
          anyOf:
            - items:
                $ref: '#/components/schemas/JiraIssueTypeData'
              type: array
            - type: 'null'
          title: Issuetypes
        projectTypeKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Projecttypekey
        vendor:
          const: JIRA
          default: JIRA
          title: Vendor
          type: string
      title: JiraProjectVendorAttributesData
      type: object
    JiraIssueTypeData:
      description: Jira issue type as stored in project vendor attributes.
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        subtask:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Subtask
      required:
        - id
        - name
      title: JiraIssueTypeData
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.